package org.springblade.third.butt.iotdevice.entity;


import lombok.Getter;

/**
 * Created By lidexi in 2021/7/14
 **/
@Getter
public enum PepIotReturnCode {

	OK(200, "请求成功"),
	BAD_REQUEST(400, "无效请求"),
	UNAUTHORIZED(401, "未认证"),
	FORBIDDEN(403, "禁止访问"),
	EXCEPTION(500, "访问异常");

	/**
	 * 编码
	 */
	 Integer code;

	/**
	 * 描述
	 */
	 String describe;

	PepIotReturnCode(Integer code, String describe){
		this.code = code;
		this.describe = describe;
	}


	public Integer getCode() {
		return this.getCode();
	}

	public String getDescribe() {
		return this.getDescribe();
	}
}
